org.springframework.data.relational.core.sql.render

## Interface RenderContext

    public interface RenderContext

Render context providing `RenderNamingStrategy` and other resources that are required during rendering.

Since:
  1.1
Author:
  Mark Paluch

### Method Summary

All Methods Instance Methods Abstract Methods
`IdentifierProcessing` `getIdentifierProcessing()` Returns the configured `IdentifierProcessing`.
`RenderNamingStrategy` `getNamingStrategy()` Returns the configured `RenderNamingStrategy`.
`SelectRenderContext` `getSelect()`

### Method Detail

#### getNamingStrategy

    RenderNamingStrategy getNamingStrategy()

Returns the configured `RenderNamingStrategy`.

Returns:
  the `RenderNamingStrategy`.

#### getIdentifierProcessing

    IdentifierProcessing getIdentifierProcessing()

Returns the configured `IdentifierProcessing`.

Returns:
  the `IdentifierProcessing`.
Since:
  2.0

#### getSelect

    SelectRenderContext getSelect()

Returns:
  the `SelectRenderContext`.